Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrFontDesc Class Reference

A PangoAttrFontDesc C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrFontDesc:

List of all members.

## Public Member Functions

Constructors

- AttrFontDesc (const FontDescription &desc)
    Construct a new font description attribute.

Accessors

- PangoAttrFontDesc * pango_attr_font_desc () const
    Get a pointer to the PangoAttrFontDesc structure.
- Pointer< FontDescription > font_description () const
    Returns a smart pointer to the font description.

Methods

- void set_font_description (const FontDescription &desc)
    Set the font description.

## Detailed Description

A PangoAttrFontDesc C++ wrapper class.

AttrFontDesc wraps the font description attribute (ATTR_FONT_DESC).

## Constructor & Destructor Documentation

Inti::Pango::AttrFontDesc::AttrFontDesc | ( | const FontDescription & | desc | ) |

  | Construct a new font description attribute. Parameters:
  desc | The FontDescription.
This attribute allows the setting of family, style, weight, variant, stretch, and size simultaneously.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer